
class MigratedDatabase(object):
    """Objects that represents database that we are migrating"""

    def __init__(self, raw_dump, converted_dump):
        """
        :type raw_dump: parallels.core.dump.data_model.Database
        :type converted_dump: parallels.core.dump.data_model.Database
        """
        self._raw_dump = raw_dump
        self._converted_dump = converted_dump

    @property
    def source_name(self):
        """Database name on the source server

        :rtype: str | unicode
        """
        return self.raw_dump.name

    @property
    def target_name(self):
        """Database name on the target server

        :rtype: str | unicode
        """
        return self.converted_dump.name

    @property
    def dbtype(self):
        """Type of database - constant from parallels.core.utils.database_server_type.DatabaseServerType

        :rtype: str | unicode
        """
        return self.raw_dump.dbtype

    @property
    def raw_dump(self):
        """Database object from raw dump

        :rtype: parallels.core.dump.data_model.Database
        """
        return self._raw_dump

    @property
    def converted_dump(self):
        """Database object from converted dump

        :rtype: parallels.core.dump.data_model.Database
        """
        return self._converted_dump
